Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.model
Class ExpirationDetails

    java.lang.Object
      org.fourthline.cling.model.ExpirationDetails

    public class ExpirationDetails

extends Object

Author:
  Christian Bauer

Field Summary
`static int` | `UNLIMITED_AGE`

Constructor Summary
`ExpirationDetails()`
`ExpirationDetails(int maxAgeSeconds)`

Method Summary
`protected long` | `getCurrentTimestampSeconds()`
`long` | `getLastRefreshTimestampSeconds()`
`int` | `getMaxAgeSeconds()`
`long` | `getSecondsUntilExpiration()`
`boolean` | `hasExpired()`
`boolean` | `hasExpired(boolean halfTime)`
`void` | `setLastRefreshTimestampSeconds(long lastRefreshTimestampSeconds)`
`void` | `stampLastRefresh()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNLIMITED_AGE

    public static final int UNLIMITED_AGE

See Also:
  Constant Field Values

Constructor Detail

### ExpirationDetails

    public ExpirationDetails()

### ExpirationDetails

    public ExpirationDetails(int maxAgeSeconds)

Method Detail

### getMaxAgeSeconds

    public int getMaxAgeSeconds()

### getLastRefreshTimestampSeconds

    public long getLastRefreshTimestampSeconds()

### setLastRefreshTimestampSeconds

    public void setLastRefreshTimestampSeconds(long lastRefreshTimestampSeconds)

### stampLastRefresh

    public void stampLastRefresh()

### hasExpired

    public boolean hasExpired()

### hasExpired

    public boolean hasExpired(boolean halfTime)

  Parameters:
    `halfTime` - If `true` then half maximum age is used to determine expiration.
  Returns:
    `true` if the maximum age has been reached.

### getSecondsUntilExpiration

    public long getSecondsUntilExpiration()

### getCurrentTimestampSeconds

    protected long getCurrentTimestampSeconds()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.